#include<stdio.h>
main()
{
long long int v,k,d,n;
scanf("%lld",&v);
n=0;
while(v>0)
{
d=v % 10;
v=v / 10;
if(d==0)
n+=0;
else if(d<3)
n+=1;
else if(d<5)
n+=2;
else if(d==5)
n+=1;
else if(d<8)
n+=2;
else if(d<10)
n+=3;
}
printf("%lld",n);
}